Skip to main content
GET
/
api
/
chunk_group
/
{group_id}
/
{page}
Get Chunks in Group
curl --request GET \
  --url https://api.trieve.ai/api/chunk_group/{group_id}/{page} \
  --header 'Authorization: <api-key>' \
  --header 'TR-Dataset: <tr-dataset>'
import requests

url = "https://api.trieve.ai/api/chunk_group/{group_id}/{page}"

headers = {
"TR-Dataset": "<tr-dataset>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'TR-Dataset': '<tr-dataset>', Authorization: '<api-key>'}
};

fetch('https://api.trieve.ai/api/chunk_group/{group_id}/{page}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "chunks": [
    {
      "chunk_html": "<p>Hello, world!</p>",
      "created_at": "2021-01-01 00:00:00.000",
      "dataset_id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
      "id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
      "link": "https://trieve.ai",
      "metadata": {
        "key": "value"
      },
      "tag_set": "[tag1,tag2]",
      "time_stamp": "2021-01-01 00:00:00.000",
      "tracking_id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
      "updated_at": "2021-01-01 00:00:00.000",
      "weight": 0.5
    }
  ],
  "group": {
    "created_at": "2021-01-01 00:00:00.000",
    "dataset_id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
    "description": "A group of chunks",
    "file_id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
    "id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
    "name": "Trieve",
    "tracking_id": "3",
    "updated_at": "2021-01-01 00:00:00.000"
  },
  "total_pages": 1
}
{
"message": "Bad Request"
}
{
"message": "Bad Request"
}

Authorizations

Authorization
string
header
required

Headers

TR-Dataset
string<uuid>
required

The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.

X-API-Version
enum<string> | null

The version of the API to use for the request

Available options:
V1,
V2

Path Parameters

group_id
string<uuid>
required

Id of the group you want to fetch.

page
integer<int64> | null
required

The page of chunks to get from the group

Required range: x >= 0

Response

Chunks present within the specified group

chunks
V2 · object[]
required
group
object
required
Example:
{
"created_at": "2021-01-01 00:00:00.000",
"dataset_id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
"description": "A group of chunks",
"file_id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
"id": "e3e3e3e3-e3e3-e3e3-e3e3-e3e3e3e3e3e3",
"name": "Trieve",
"tracking_id": "3",
"updated_at": "2021-01-01 00:00:00.000"
}
total_pages
integer<int64>
required
Required range: x >= 0